Version 6.x.x Source

Table Name: `tabHoliday List`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `holiday_list_name` | Data | Holiday List Name |
2 | `is_default` | Check | Default |
3 | `fiscal_year` | Link | Fiscal Year | Fiscal Year
4 | `weekly_off` | Select | Weekly Off |
    Sunday
    Monday
    Tuesday
    Wednesday
    Thursday
    Friday
    Saturday
5 | `get_weekly_off_dates` | Button | Get Weekly Off Dates |
    get_weekly_off_dates
6 | `holidays` | Table | Holidays | Holiday
7 | `clear_table` | Button | Clear Table |
    clear_table

### Controller

#### erpnext.hr.doctype.holiday_list.holiday_list

### Class HolidayList

Inherits from frappe.model.document.Document

clear_table (self)

No docs

get_weekly_off_date_list (self, year_start_date, year_end_date)

No docs

get_weekly_off_dates (self)

No docs

update_default_holiday_list (self)

No docs

validate (self)

No docs

validate_days (self)

No docs

validate_values (self)

No docs

Public API
`/api/method/erpnext.hr.doctype.holiday_list.holiday_list.get_events`

erpnext.hr.doctype.holiday_list.holiday_list.get_events (start, end, filters=None)

No docs

erpnext.hr.doctype.holiday_list.holiday_list.get_fy_start_end_dates (fiscal_year)

No docs

#### Linked In:

- Company
- Employee
- Workstation